package wekan.wrapper.entity;

public class MemberPermission {
    public final static MemberPermission ADMIN = new MemberPermission(
            true,
            false,
            false
    );
    public final static MemberPermission NORMAL = new MemberPermission(
            false,
            false,
            false
    );
    public final static MemberPermission NO_COMMENTS = new MemberPermission(
            false,
            true,
            false
    );
    public final static MemberPermission COMMENT_ONLY = new MemberPermission(
            false,
            false,
            true
    );

    private boolean isAdmin;
    private boolean isNoComments;
    private boolean isCommentOnly;

    private MemberPermission(boolean isAdmin, boolean isNoComments, boolean isCommentOnly) {
        this.isAdmin = isAdmin;
        this.isNoComments = isNoComments;
        this.isCommentOnly = isCommentOnly;
    }
}
